myprofile/urls.py
from django.urls import path
from .views import index, index2, index3

urlpatterns = [
    path('', index, name="homepage"),
    path('resume/', index2, name="resume"),
    path('about/', index3, name="about"),
]

mysite/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('story_1/', include('story_1.urls')),
    path('', include('myprofile.urls')),
    path('story_5/', include('story_5.urls')),
]

story_1/urls.py
from django.urls import path
from .views import index

urlpatterns = [
    path('', index, name='story_1'),
]

story_5/urls.py
from django.urls import path
from .views import sched_add, sched_delete

app_name = 'story_5'

urlpatterns = [
    path('schedule/', sched_add, name="add"),
    path('schedule/deleted/', sched_delete, name="delete"),
]

myprofile/models.py
from django.db import models

# Create your models here.

story_1/models.py
from django.db import models

# Create your models here.

story_5/models.py
from django.db import models
import datetime

CATEGORY = [('Personal Time', 'Personal Time'), ('Friends', 'Friends'),
('Academics', 'Academics'), ('Family', 'Family'), ('Meeting', 'Meeting'),
('Others', 'Others')]

# Create your models here.
class Schedule(models.Model):
    id = models.AutoField(primary_key=True)
    activity = models.CharField(max_length=100)
    date = models.DateField()
    time = models.TimeField()
    location = models.CharField(max_length = 50)
    category = models.CharField(max_length = 50, choices = CATEGORY)
    description = models.TextField(max_length = 100)

story_5/forms.py
from django import forms
from django.db import models
from django.forms import ModelForm
from .models import Schedule

class ScheduleForm(ModelForm):
    class Meta:
        model = Schedule
        fields = ['activity', 'date', 'time', 'location', 'category', 'description']
        labels = {'date' : 'Date', 'time' : 'Time', 'activity' : 'Activity', 'location' : 'Location', 'category' : 'Category', 'description' : 'Description'}
        widgets = {
            'date' : forms.DateInput(attrs={'class' : 'form-control',
            'type' : 'date'}),
            'time' : forms.TimeInput(attrs={'class' : 'form-control',
            'type' : 'time'}),
            'activity' : forms.TextInput(attrs={'class' : 'form-control',
            'type' : 'text', 'placeholder': 'What will you do?'}),
            'location' : forms.TextInput(attrs={'class' : 'form-control',
            'type' : 'text', 'placeholder' : 'Where is it?'}),
            'category' : forms.Select(attrs={'class' : 'form-control'}),
            'description' : forms.TextInput(attrs={'class' : 'form-control',
            'type' : 'text', 'placeholder' : 'Is there any extra notes on the event?'})
        }

myprofile/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'Home.html')

def index2(request):
    return render(request, 'Resume.html')

def index3(request):
    return render(request, 'About.html')

story_1/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'story_1/Story_1.html')

story_5/views.py
from django.shortcuts import render
from .forms import ScheduleForm
from .models import Schedule
from django.shortcuts import redirect
import datetime

# Create your views here.
def index(request):
    return render(request, 'Home.html')

def index2(request):
    return render(request, 'Resume.html')

def index3(request):
    return render(request, 'About.html')

def sched_add(request):
    if request.method == 'POST' :
        form = ScheduleForm(request.POST)
        if form.is_valid():
            post = form.save(commit=False)
            post.save()
            return redirect('story_5:add')
    else:
        form = ScheduleForm()

    content = {'title' : 'Schedule Form',
               'form' : form,
               'jadwal': Schedule.objects.all()
               }

    return render(request, 'schedule_inputform.html', content)

def sched_delete(request):
    if 'pk' in request.POST:
        pk = request.POST['pk']
        Schedule.objects.get(pk = pk).delete()
        content = {'title' : 'Schedule Form',
                'form' : ScheduleForm(request.POST),
                'jadwal': Schedule.objects.all()
                }

    return redirect('story_5:add')

myprofile/templates/About.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
  <div class= "content container">
    <div class="row">
      <img class="img-fluid col-5" src="{% static 'krm-img.svg' %}" alt="khadijah's profile"> <!--gimana cara posisiin yang pas?-->
      <div class="about col">
        <div id="hello"><b>About <span class="khadijah">Khadijah</span></b></div>
        <p>I am a Computer Science major in Universitas Indonesia.
        I love volunteering in events and join organizations.
        I am currently interested in Business IT and Data Science.
        I am learning to be a better person everyday.</p>
        <br>Location: Jakarta, Indonesia
        </div>
      </div>
    </div>  
  </div>

  <div class="contacts container">
    <div class="row justify-content-center">
      <a href="https://line.me/ti/p/-6fwyamKoI" target="_blank">
        <img class ="icon img-fluid col" src="{% static 'line.svg' %}" alt="LINE">
      </a><!--gimana cara posisiin yang pas?-->
      <a href="https://www.linkedin.com/in/khadijah-rizqy/" target="_blank">
        <img class ="icon img-fluid col" src="{% static 'linkedin-logo.svg' %}" alt="LinkedIn"> <!--gimana cara posisiin yang pas?-->
      </a>
      <a href="https://www.instagram.com/khadijahrizqy/" target="_blank">
        <img class ="icon img-fluid col" src="{% static 'instagram-logo.svg' %}" alt="Instagram"> <!--gimana cara posisiin yang pas?-->
      </a>
      <a href="https://mail.google.com/mail/?view=cm&fs=1&to=kr.mufida@gmail.com&tf=1" target="_blank">
        <img class ="icon img-fluid col" src="{% static 'mail.svg' %}" alt="Gmail">
      </a>
    </div>
  </div>
  <div id="my-name" class="content">
      <hr>
      <p><u>Khadijah Rizqy Mufida</u></p>
  </div>
{% endblock %}

myprofile/templates/Home.html
{% extends 'base.html' %}
{% block content %}
<div class="typical-content">
    <div id="hello">Hello, World!</div>
    <div id="name">My name is <span class="khadijah"><b>Khadijah Rizqy Mufida.</b></span></div>
    <div id="description">I'm a sophomore in <b>Computer Science</b> at <b><u>Universitas Indonesia</u></b>. A volunteering enthusiast.</div>
    <div class="container-fluid">
      <div class="row justify-content-start">
      <p> Check out my full </p>
      <a href="https://drive.google.com/file/d/1aWws1BJcWpcs1ToMyPmzhqhmGDBiUHDP/view?usp=sharing" target="_blank" class="btn btn-primary active btn-danger" role="button" aria-pressed="true">Resume</a>
      </div>
    </div>
</div>
{% endblock %}

myprofile/templates/Resume.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
  <div id="text" class="content container">
    <div class="row">
      <p><b>Education</b></p>
    </div>
    <div class="row">
      <div class="col">
        <p>Depok, Indonesia
          <br>Agustus 2018 - present
        </p>
      </div>
      <img class="col" src="{% static 'Makara-UI.svg' %}" alt="makara-ui">
      <div class="col">
        <p><b>Computer Science Undergraduate Student Universitas Indonesia</b>
            <br>Current GPA: 3.75/4.00
            <br>Relevant Coursework: Foundations of Programming 1 & 2 (Python & Java),
            Calculus 1, Discrete Mathematics 1&2, Introduction to Digital Systems
            </p>
      </div>
    </div>
    <div class="row">
      <p><b>Work Experiences</b></p>
    </div>
    <div class="row">
        <div class="col">
          <p>Depok, Indonesia
            <br>September 2019 - present
          </p>
        </div>
        <img class="col" src="{% static 'Makara-UI.svg' %}" alt="makara-ui">
        <div class="col">
          <p><b>Teaching Assistant at Fasilkom, Universitas Indonesia</b>
              <br>Tutored in Calculus 1 every two weeks to exercise questions and graded the students’ homeworks.
              </p>
        </div>
    </div>
    <div class="row">
        <div class="col">
          <p>Depok, Indonesia
            <br>April-September 2019
          </p>
        </div>
        <img class="col" src="{% static 'Makara-UI.svg' %}" alt="makara-ui">
        <div class="col">
          <p><b>Research Assistant in Reliable Software Engineering Lab, Fasilkom UI</b>
              <br>I analyzed the features needed to build the AISCO software by doing surveys with charity organizations to be reported back and helped developed the software.
              I also conducted user testing surveys. The developed software was tested to several potential users and was given the feedbacks needed to further develop the app.
              </p>
        </div>
    </div>
    <div class="row">
      <p><b>Organizations</b></p>
    </div>
    <div class="row">
        <div class="col">
          <p>Depok, Indonesia
            <br>January 2019-present
          </p>
        </div>
        <img class="col" src="{% static 'logo-bem.svg' %}" alt="bem-fasilkom">
        <div class="col">
          <p><b>Staff of Research and Strategic Actions BEM Fasilkom UI</b>
              <br>As a staff, I have to create an essay on certain topics in Medium. As a department, we have held several discussions called 'Obrolan Santai' in which we invite speakers to speak about topics, one of it Data Privacy Protection.</p>
        </div>
    </div>
    <div class="row">
      <div class="col">
        <p>Depok, Indonesia
          <br>January 2019-present
        </p>
      </div>
      <img class="col" src="{% static 'SISTEM.svg' %}" alt="sistem-fasilkom">
      <div class="col">
        <p><b>Member of Entrepreneurship SIG SISTEM Fasilkom UI</b>
            <br>As a member, we have internal classes on the theme Entrepreneurship with several Fasilkom alumnae. As a staff, I arranged a workshop on the theme of ‘Determining Target Market’.</div>
      </div>
      <div class="row">
        <div class="col">
          <p>Depok, Indonesia
            <br>January -August 2019
          </p>
        </div>
        <img class="col" src="{% static 'COMPFEST.svg' %}" alt="sistem-fasilkom">
        <div class="col">
          <p><b>HRD of Software Engineering Academy at COMPFEST 11</b>
              <br>Being Human Resources Development for one of COMPFEST's division, SEA. My work includes making sure the staffs are fully optimal in the way their work, setting up meetings and being the middle-man between staffs and PIC.</div>
  </div>
{% endblock %}

myprofile/templates/base.html
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset = "utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Khadijah Rizqy Mufida</title>
        <link rel="website icon" href="{% static 'krm-icon.ico' %}">
        <link href="https://fonts.googleapis.com/css?family=Muli:400,700,800|Varela+Round&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{% static 'styles.css' %}">
    </head>

    <body>
        <!--The navbar is from bootstrap-->
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <nav class="navbar navbar-expand-md navbar-light bg-white fixed-top">
            <a class="navbar-brand" href="#">
                <img src="{% static 'krm-icon.svg' %}">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
          
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav ml-auto">
                {% with url_name=request.resolver_match.url_name %}
                <li class="nav-item">
                  <a class="nav-link {% if url_name == 'homepage' %} active {% endif %}" href="{% url 'homepage' %}">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link {% if url_name == 'resume' %} active {% endif %}" href="{% url 'resume' %}">Resume</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link {% if url_name == 'about' %} active {% endif %}" href="{% url 'about' %}">About<span class="sr-only"></span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link {% if url_name == 'add' %} active {% endif %}" href="{% url 'story_5:add' %}">Schedule<span class="sr-only">(current)</span></a>
                </li>
                {% endwith %}
              </ul>
            </div>
        </nav>

        {% block content %}{% endblock %}
    </body>
</html>

story_1/templates/story_1/Story_1.html
{% load static %}
<!DOCTYPE html>
<html lang= "en">
    <head>
        <meta charset = "utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Khadijah Rizqy Mufida</title>
        <link rel="website icon" href="{% static 'Dije.ico' %}">
        <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
        <link href="https://fonts.googleapis.com/css?family=Muli&display=swap" rel="stylesheet">    
    </head>
    <body>
        <!--This is the body split into 3 parts-->
        <ul class="navbar">
            <li><a href="#home">Home</a></li>
            <li><a href="#about">About Me</a></li>
            <li><a href="#contact">Contact</a></li>
        </ul>
        <div id="home" class="center">
            <h1 style="color: white">Hi, I'm Khadijah! Welcome to my website!</h1>
            <p style="color: white">"Did you say Alhamdulillah today or are you waiting to sneeze?"</p>
        </div>
        <div id="about" class="center">
        <h2>About Me</h2>
        <p>
        <table style="width:100%">
        <tr>
            <th>Full name: </th>
            <td>Khadijah Rizqy Mufida</td>
        </tr>
        <tr>
            <th>NPM: </th>
            <td>1806235712</td>
        </tr>
        <tr>
            <th>Institution: </th>
            <td>Universitas Indonesia</td>
        </tr>
        <tr>
            <td colspan="2"><strong>Khadijah Rizqy</strong> is a Computer Science major student. </br> She is a tech enthusiast and is interested in Business IT and Data Science.</br> She likes to browse through websites and likes to volunteer in events.</td>
        </tr>
        <img id="my-photo" alt="photo" src="{% static 'Dije.png' %}" width="150px">
        </table>
        </div>
        <div id="contact" class="center">
            <h2>Contact</h2>
            <a href="https://www.linkedin.com/in/khadijah-rizqy/" target="_blank">
                <img id = "linkedin logo" alt= "linkedin" src="{% static 'linkedin.png' %}" style="width: 100px;">
            </a>
            <a href="https://www.instagram.com/khadijahrizqy/" target="_blank">
                <img id = "instagram logo" alt= "instagram" src="{% static 'instagram.png' %}" style="width: 100px;">
            </a>
            <a href="https://line.me/ti/p/-6fwyamKoI" target="_blank">
                <img id = "line logo" alt= "line" src="{% static 'line.png' %}" style="width: 100px;">
            </a>
            <a href="https://mail.google.com/mail/?view=cm&fs=1&to=kr.mufida@gmail.com&tf=1" target="_blank">
                <img id = "gmail logo" alt= "gmail" src= "{% static 'gmail.png' %}" style="width: 100px;">
            </a>
        </div>
    </body>
</html>

story_5/templates/schedule_inputform.html
{% extends 'base.html' %}
{% load static %}
{% block content %}
<div class="form-content">
    <div class="container">
        <div id="hello"><b>{{ title }}</b></div>    
        <form action="{% url 'story_5:add'%}" method="POST">
            {% csrf_token %}
            {{ form }}
        <br>
            <button type= "submit" class="btn btn-primary active btn-danger" value="Save">Add to Schedule</button>
        <br> <br>
        </form>
        <div id="hello"><b>My Schedule</b></div>
        <table class="table">
            <thead>
                <tr>
                    <th scope = "col">Date</th>
                    <th scope = "col">Time</th>
                    <th scope = "col">Activity</th>
                    <th scope = "col">Location</th>
                    <th scope = "col">Category</th>
                    <th scope = "col">Description</th>
                    <th scope = "col">Delete</th>
                </tr>
            </thead>
            <tbody>
                {% for acara in jadwal %}
                <tr>
                    <td>{{ acara.date |date:"l, j F Y" }}</td>
                    <td>{{ acara.time |date:"h:i A" }}</td>
                    <td>{{ acara.activity }}</td>
                    <td>{{ acara.location }}</td>
                    <td>{{ acara.category }}</td>
                    <td>{{ acara.description }}</td>
                    <td>
                        <form action="{% url 'story_5:delete' %}" method="POST">
                        {% csrf_token %}
                        <input type="hidden" name="pk" value="{{ acara.id }}">
                        <button type="submit" class="btn active btn-dark" value="Save"><b>-</b></button>
                        </form>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endblock %}